Bug 23032 - Linux cannot recognise components
Linux cannot recognise components
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-12-30 14:10 EST by Mollie Twidale
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-05 19:08:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mollie Twidale 2000-12-30 14:10:52 EST
I use a Dell Dimension 4100 Pentium III processor with an NVIDIA GeForce2 ULTRA GTS 64MB video card.  Installation of Linux was complete 
until the xWindows configuration, which failed to recognise the graphics card.  I downloaded the README and FAQ document and the drivers 
from NVIDIA for the card: NVIDIA_GLX-0.9-5.i386.rpm and NVIDIA_kernel-0.9-5.i386.rpm.  When I try to install using the kernel rpm I receive 
error that modprobe cannot locate the module NVdriver. I am awaiting feedback from NVIDIA support concerning this issue.

In checking the package, it is apparent that the NVdriver is placed in /lib/modules/2.216-21/video during the load. However, the loaded Linux 
kernel is 2.2.16-22.  After creating a symbolic link for this file in the 2.2.16-22 directory, I re-executed the following command:  rpm -ivh 
NVIDIA_kernel-0.9-5.i386.rpm and received the following output:

agpgart: agpgart: Detected an Intel i815, but could not find the secondary device.

/lib/modules/2.216-22/misc/agpgart.o: init-module: Device or resource busy

Hint: insmod errors can be caused by incorrect module parameters, including invalid IO or IRQ parameters.

/lib/modules/2.2.16-22/misc/agpgart.o: insmod /lib/modules/2.2.16-22/misc/agpgart.o failed

/lib/modules/2.2.16-22/misc/agpgart.o: insmod NVdriver failed
Comment 1 Jeff Johnson 2000-12-30 14:13:00 EST
This is a kernel packaging problem, changing component.
Comment 2 Bill Nottingham 2001-01-02 01:19:25 EST
Actually, it's a 'kernel doesn't support agpgart for i815 unless
you're using the i815 video problem.' I believe this is fixed
in 2.2.19pre.

Note You need to log in before you can comment on or make changes to this bug.